FROM registry.access.redhat.com/ubi8/ubi
USER root
LABEL maintainer="Mark van den Boogaard"
# Update image
RUN dnf update --disableplugin=subscription-manager -y && rm -rf /var/cache/yum
RUN dnf module install --disableplugin=subscription-manager php:7.2 -y && rm -rf /var/cache/yum
RUN sed -i "s|pid = /run/php-fpm/php-fpm.pid|pid = /run/php-fpm.pid|g" /etc/php-fpm.conf
RUN sed -i "s|error_log = /var/log/php-fpm/error.log|error_log = /dev/stderr|g" /etc/php-fpm.conf
RUN sed -i "s|daemonize = yes|daemonize = no|g" /etc/php-fpm.conf

COPY overrides.conf /etc/php-fpm.d/z-overrides.conf
EXPOSE 9072
# Start the service
CMD /usr/sbin/php-fpm
